File: changelog

package info (click to toggle)
sslsniff 0.8-8
  • links: PTS, VCS
  • area: main
  • in suites: bullseye, sid
  • size: 1,052 kB
  • sloc: sh: 10,131; cpp: 2,147; xml: 12; makefile: 8
file content (97 lines) | stat: -rw-r--r-- 3,136 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
sslsniff (0.8-8) unstable; urgency=medium

  * Fix build with wl,asneeded (Closes: #849695)
  * Fix build with new boost 1.67
  * Bump std-version to 4.2.1

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 31 Aug 2018 09:54:26 +0200

sslsniff (0.8-7) unstable; urgency=medium

  * Add patch to build against openssl 1.1. Closes: #828557
    Thanks to Hilko Bengen <bengen@debian.org> for the patch.
  * Update Build-Depends to build against openssl 1.1.
  * Switch to debhelper compat level 11.
  * Change priority to optional.
  * Bump Standards-Version to 4.1.3.
  * Update Vcs-* fields for move to salsa.debian.org.

 -- Raphaël Hertzog <hertzog@debian.org>  Thu, 22 Feb 2018 10:40:16 +0100

sslsniff (0.8-6) unstable; urgency=medium

  * Add missing Vcs-Git and Vcs-Browser fields.

 -- Raphaël Hertzog <hertzog@debian.org>  Tue, 22 Nov 2016 17:02:04 +0100

sslsniff (0.8-5) unstable; urgency=medium

  * Take over the package in the pkg-security team.
  * Force build depends with libssl1.0 until we have a patch
    (cf #828557).
  * Bump debhelper compat level to 10.
  * Bump Standars-Version to 3.9.8.
  * Update upstream homepage.
  * Simplify debian/rules with dh.
  * Add new patch to add missing library in Makefile.am.
  * Add watch file in case upstream starts making releases on github.

 -- Raphaël Hertzog <hertzog@debian.org>  Tue, 22 Nov 2016 16:27:00 +0100

sslsniff (0.8-4.2) unstable; urgency=high

  * Non-maintainer upload.
  * Add debian/patches/02-fix-compatibility-with-gcc49.patch
    to fix FTFBS with gcc-4.9 (Closes: #746915)

 -- Sophie Brun <sophie@freexian.com>  Wed, 06 Aug 2014 17:06:53 +0200

sslsniff (0.8-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Drop rewriting boost suffixes (Closes: #709579)

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Mon, 12 Aug 2013 21:49:30 +0100

sslsniff (0.8-4) unstable; urgency=low

  * Trigger rebuild with gcc-4.8 (Closes: #701363)

 -- Pierre Chifflier <pollux@debian.org>  Thu, 04 Jul 2013 10:47:53 +0200

sslsniff (0.8-3) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format
  * Fix FTBFS with boost 1.48 ('boost::asio::ip::tcp::acceptor' has no member
    named 'io_service') (Closes: #652756)

 -- Pierre Chifflier <pollux@debian.org>  Sat, 31 Dec 2011 09:30:58 +0100

sslsniff (0.8-2) unstable; urgency=low

  * Explicitly add libraries to LIBS, fix FTBFS with --as-needed
    (Closes: #632090)

 -- Pierre Chifflier <pollux@debian.org>  Mon, 21 Nov 2011 22:21:06 +0100

sslsniff (0.8-1) unstable; urgency=low

  * Imported Upstream version 0.8
    Fix for FTBFS with ld --as-needed has been merged upstream
    (Closes: #632090)

 -- Pierre Chifflier <pollux@debian.org>  Sat, 30 Jul 2011 17:58:00 +0200

sslsniff (0.7-1) unstable; urgency=low

  * Imported Upstream version 0.7
  * Fix FTBFS with recent binutils versions (Closes: #556373)
  * Bump Standards Version to 3.9.2

 -- Pierre Chifflier <pollux@debian.org>  Sat, 14 May 2011 11:50:59 +0200

sslsniff (0.6-1) unstable; urgency=low

  * Initial release (Closes: #542472)

 -- Pierre Chifflier <pollux@debian.org>  Sun, 16 Aug 2009 22:39:51 +0200